import type { DragRule } from '@form-create/designer'

export const RcCheckbox: DragRule = {
  menu: 'aide',
  icon: 'icon-title',
  label: '多选框',
  //唯一 ID
  name: 'rc-checkbox',
  //组件可以配置的事件
  input: true,
  languageKey: [],
  rule() {
    //组件的渲染规则
    return {
      //组件的名称, 与上一步是对应
      type: 'rc-checkbox',
      title: '多选框',
      props: {
        clearable: true,
      },
    }
  },
  props(rule) {
    //组件右侧的配置项,与组件中的 props 对应
    return [
      {
        type: 'rc-options',
        field: 'options',
        title: '选项内容',
        props: {
          field: rule.field, // 设置组件唯一id从而保证多个组件的选项不冲突
        },
      },
    ]
  },
}
